Index: issm/trunk/src/c/classes/objects/Elements/Penta.cpp
===================================================================
--- issm/trunk/src/c/classes/objects/Elements/Penta.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/objects/Elements/Penta.cpp	(revision 13975)
@@ -4913,17 +4964,17 @@
 void  Penta::GradjDragPattyn(Vector<IssmDouble>* gradient,int control_index){
 
-	int        i,j,ig;
+	int        i,j;
 	int        analysis_type;
-	int        doflist1[NUMVERTICES];
-	IssmDouble     vx,vy,lambda,mu,alpha_complement,Jdet;
-	IssmDouble     bed,thickness,Neff,drag;
-	IssmDouble     xyz_list[NUMVERTICES][3];
-	IssmDouble     xyz_list_tria[NUMVERTICES2D][3]={0.0};
-	IssmDouble     dk[NDOF3]; 
-	IssmDouble     grade_g[NUMVERTICES]={0.0};
-	IssmDouble     grade_g_gaussian[NUMVERTICES];
-	IssmDouble     basis[6];
+	int        vertexpidlist[NUMVERTICES];
+	IssmDouble vx,vy,lambda,mu,alpha_complement,Jdet;
+	IssmDouble bed,thickness,Neff,drag;
+	IssmDouble xyz_list[NUMVERTICES][3];
+	IssmDouble xyz_list_tria[NUMVERTICES2D][3]={0.0};
+	IssmDouble dk[NDOF3]; 
+	IssmDouble grade_g[NUMVERTICES]={0.0};
+	IssmDouble grade_g_gaussian[NUMVERTICES];
+	IssmDouble basis[6];
 	Friction*  friction=NULL;
-	GaussPenta  *gauss=NULL;
+	GaussPenta *gauss=NULL;
 
 	/*Gradient is 0 if on shelf or not on bed*/
@@ -4932,5 +4983,5 @@
 	/*Retrieve all inputs and parameters*/
 	parameters->FindParam(&analysis_type,AnalysisTypeEnum);
-	GradientIndexing(&doflist1[0],control_index);
+	GradientIndexing(&vertexpidlist[0],control_index);
 	GetVerticesCoordinates(&xyz_list[0][0], nodes, NUMVERTICES);
 	for(i=0;i<NUMVERTICES2D;i++) for(j=0;j<2;j++) xyz_list_tria[i][j]=xyz_list[i][j];
@@ -4946,5 +4997,5 @@
 	/* Start  looping on the number of gaussian points: */
 	gauss=new GaussPenta(0,1,2,4);
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -4974,5 +5025,5 @@
 		}
 	}
-	gradient->SetValues(NUMVERTICES,doflist1,grade_g,ADD_VAL);
+	gradient->SetValues(NUMVERTICES,vertexpidlist,grade_g,ADD_VAL);
 
 	/*Clean up and return*/
@@ -4984,17 +5035,17 @@
 void  Penta::GradjDragStokes(Vector<IssmDouble>* gradient,int control_index){
 
-	int        i,j,ig;
+	int        i,j;
 	int        analysis_type;
-	int        doflist1[NUMVERTICES];
-	IssmDouble     bed,thickness,Neff;
-	IssmDouble     lambda,mu,xi,Jdet,vx,vy,vz;
-	IssmDouble     alpha_complement,drag;
-	IssmDouble     surface_normal[3],bed_normal[3];
-	IssmDouble     xyz_list[NUMVERTICES][3];
-	IssmDouble     xyz_list_tria[NUMVERTICES2D][3]={0.0};
-	IssmDouble     dk[NDOF3]; 
-	IssmDouble     basis[6];
-	IssmDouble     grade_g[NUMVERTICES]={0.0};
-	IssmDouble     grade_g_gaussian[NUMVERTICES];
+	int        vertexpidlist[NUMVERTICES];
+	IssmDouble bed,thickness,Neff;
+	IssmDouble lambda,mu,xi,Jdet,vx,vy,vz;
+	IssmDouble alpha_complement,drag;
+	IssmDouble surface_normal[3],bed_normal[3];
+	IssmDouble xyz_list[NUMVERTICES][3];
+	IssmDouble xyz_list_tria[NUMVERTICES2D][3]={0.0};
+	IssmDouble dk[NDOF3]; 
+	IssmDouble basis[6];
+	IssmDouble grade_g[NUMVERTICES]={0.0};
+	IssmDouble grade_g_gaussian[NUMVERTICES];
 	Friction*  friction=NULL;
 	GaussPenta* gauss=NULL;
@@ -5007,5 +5058,5 @@
 	GetVerticesCoordinates(&xyz_list[0][0], nodes, NUMVERTICES);
 	for(i=0;i<NUMVERTICES2D;i++) for(j=0;j<2;j++) xyz_list_tria[i][j]=xyz_list[i][j];
-	GradientIndexing(&doflist1[0],control_index);
+	GradientIndexing(&vertexpidlist[0],control_index);
 	Input* drag_input    =inputs->GetInput(FrictionCoefficientEnum); _assert_(drag_input);
 	Input* vx_input      =inputs->GetInput(VxEnum);                  _assert_(vx_input);
@@ -5021,5 +5072,5 @@
 	/* Start  looping on the number of gaussian points: */
 	gauss=new GaussPenta(0,1,2,4);
-	for(ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -5067,5 +5118,5 @@
 	}
 
-	gradient->SetValues(NUMVERTICES,doflist1,grade_g,ADD_VAL);
+	gradient->SetValues(NUMVERTICES,vertexpidlist,grade_g,ADD_VAL);
 
 	delete friction;
@@ -5494,5 +5545,5 @@
 void  Penta::GetVectorFromControlInputs(Vector<IssmDouble>* vector,int control_enum,int control_index,const char* data){
 
-	int doflist1[NUMVERTICES];
+	int vertexpidlist[NUMVERTICES];
 
 	/*Get out if this is not an element input*/
@@ -5500,5 +5551,5 @@
 
 	/*Prepare index list*/
-	GradientIndexing(&doflist1[0],control_index);
+	GradientIndexing(&vertexpidlist[0],control_index);
 
 	/*Get input (either in element or material)*/
@@ -5511,5 +5562,5 @@
 	}
 
-	((ControlInput*)input)->GetVectorFromInputs(vector,&doflist1[0],data);
+	((ControlInput*)input)->GetVectorFromInputs(vector,&vertexpidlist[0],data);
 }
 /*}}}*/
@@ -5518,5 +5569,5 @@
 
 	IssmDouble  values[NUMVERTICES];
-	int     doflist1[NUMVERTICES];
+	int     vertexpidlist[NUMVERTICES];
 	Input  *input     = NULL;
 	Input  *new_input = NULL;
@@ -5526,12 +5577,11 @@
 
 	/*Prepare index list*/
-	GradientIndexing(&doflist1[0],control_index);
+	GradientIndexing(&vertexpidlist[0],control_index);
 
 	/*Get values on vertices*/
 	for (int i=0;i<NUMVERTICES;i++){
-		values[i]=vector[doflist1[i]];
+		values[i]=vector[vertexpidlist[i]];
 	}
 	new_input = new PentaP1Input(control_enum,values);
-
 
 	if(control_enum==MaterialsRheologyBbarEnum){
@@ -5554,5 +5604,5 @@
 /*FUNCTION Penta::InputUpdateFromVectorDakota(IssmDouble* vector, int name, int type);{{{*/
 void  Penta::InputUpdateFromVectorDakota(IssmDouble* vector, int name, int type){
-	
+
 	int i,j;
 
@@ -5569,5 +5619,5 @@
 			/*Get values on the 6 vertices*/
 			for (i=0;i<6;i++){
-				values[i]=vector[this->nodes[i]->GetSidList()]; //careful, vector of values here is not parallel distributed, but serial distributed (from a serial Dakota core!)
+				values[i]=vector[this->nodes[i]->GetVertexSid()]; //careful, vector of values here is not parallel distributed, but serial distributed (from a serial Dakota core!)
 			}
 
@@ -5581,5 +5631,5 @@
 					IssmDouble  surface[6];
 					IssmDouble  bed[6];
-					
+
 					/*retrieve inputs: */
 					GetInputListOnVertices(&thickness_init[0],ThicknessEnum);
@@ -5666,5 +5716,5 @@
 /*FUNCTION Penta::InputUpdateFromMatrixDakota(IssmDouble* matrix, int nrows, int ncols, int name, int type);{{{*/
 void  Penta::InputUpdateFromMatrixDakota(IssmDouble* matrix, int nrows, int ncols, int name, int type){
-	
+
 	int i,j,t;
 	TransientInput* transientinput=NULL;
@@ -5680,7 +5730,7 @@
 
 		case VertexEnum:
-			
+
 			/*Create transient input: */
-						
+
 			parameters->FindParam(&yts,ConstantsYtsEnum);
 
@@ -5689,5 +5739,5 @@
 				/*create input values: */
 				for(i=0;i<6;i++){
-					row=this->nodes[i]->GetSidList();
+					row=this->nodes[i]->GetVertexSid();
 					values[i]=(IssmDouble)matrix[ncols*row+t];
 				}
@@ -5753,10 +5803,10 @@
 /*FUNCTION Penta::CreateKMatrixCouplingMacAyealPattyn{{{*/
 ElementMatrix* Penta::CreateKMatrixCouplingMacAyealPattyn(void){
-	
+
 	/*compute all stiffness matrices for this element*/
 	ElementMatrix* Ke1=CreateKMatrixCouplingMacAyealPattynViscous();
 	ElementMatrix* Ke2=CreateKMatrixCouplingMacAyealPattynFriction();
 	ElementMatrix* Ke=new ElementMatrix(Ke1,Ke2);
-	
+
 	/*clean-up and return*/
 	delete Ke1;
@@ -5775,15 +5825,15 @@
 
 	/*Intermediaries */
-	int         i,j,ig;
-	IssmDouble      Jdet;
-	IssmDouble      viscosity,oldviscosity,newviscosity,viscosity_overshoot; //viscosity
-	IssmDouble      epsilon[5],oldepsilon[5]; /* epsilon=[exx,eyy,exy,exz,eyz];*/
-	IssmDouble      xyz_list[NUMVERTICES][3];
-	IssmDouble      B[3][numdofp];
-	IssmDouble      Bprime[3][numdofm];
-	IssmDouble      D[3][3]={0.0};            // material matrix, simple scalar matrix.
-	IssmDouble      D_scalar;
-	IssmDouble      Ke_gg[numdofp][numdofm]={0.0}; //local element stiffness matrix 
-	IssmDouble      Ke_gg_gaussian[numdofp][numdofm]; //stiffness matrix evaluated at the gaussian point.
+	int         i,j;
+	IssmDouble  Jdet;
+	IssmDouble  viscosity,oldviscosity,newviscosity,viscosity_overshoot; //viscosity
+	IssmDouble  epsilon[5],oldepsilon[5]; /* epsilon=[exx,eyy,exy,exz,eyz];*/
+	IssmDouble  xyz_list[NUMVERTICES][3];
+	IssmDouble  B[3][numdofp];
+	IssmDouble  Bprime[3][numdofm];
+	IssmDouble  D[3][3]={0.0};            // material matrix, simple scalar matrix.
+	IssmDouble  D_scalar;
+	IssmDouble  Ke_gg[numdofp][numdofm]={0.0}; //local element stiffness matrix 
+	IssmDouble  Ke_gg_gaussian[numdofp][numdofm]; //stiffness matrix evaluated at the gaussian point.
 	GaussPenta *gauss=NULL;
 	GaussTria  *gauss_tria=NULL;
@@ -5820,5 +5870,5 @@
 	gauss=new GaussPenta(5,5);
 	gauss_tria=new GaussTria();
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -5865,18 +5915,18 @@
 	const int numdof      = NDOF2 *NUMVERTICES;
 	const int numdoftotal = NDOF4 *NUMVERTICES;
-	
+
 	/*Intermediaries */
-	int       i,j,ig,analysis_type;
-	IssmDouble    Jdet2d,slope_magnitude,alpha2;
-	IssmDouble    xyz_list[NUMVERTICES][3];
-	IssmDouble    xyz_list_tria[NUMVERTICES2D][3]={0.0};
-	IssmDouble    slope[3]={0.0,0.0,0.0};
-	IssmDouble    MAXSLOPE=.06; // 6 %
-	IssmDouble    MOUNTAINKEXPONENT=10;
-	IssmDouble    L[2][numdof];
-	IssmDouble    DL[2][2]                  ={{ 0,0 },{0,0}}; //for basal drag
-	IssmDouble    DL_scalar;
-	IssmDouble    Ke_gg[numdof][numdof]     ={0.0};
-	IssmDouble    Ke_gg_gaussian[numdof][numdof]; //stiffness matrix contribution from drag
+	int       i,j,analysis_type;
+	IssmDouble Jdet2d,slope_magnitude,alpha2;
+	IssmDouble xyz_list[NUMVERTICES][3];
+	IssmDouble xyz_list_tria[NUMVERTICES2D][3]={0.0};
+	IssmDouble slope[3]={0.0,0.0,0.0};
+	IssmDouble MAXSLOPE=.06; // 6 %
+	IssmDouble MOUNTAINKEXPONENT=10;
+	IssmDouble L[2][numdof];
+	IssmDouble DL[2][2]                  ={{ 0,0 },{0,0}}; //for basal drag
+	IssmDouble DL_scalar;
+	IssmDouble Ke_gg[numdof][numdof]     ={0.0};
+	IssmDouble Ke_gg_gaussian[numdof][numdof]; //stiffness matrix contribution from drag
 	Friction  *friction = NULL;
 	GaussPenta *gauss=NULL;
@@ -5913,5 +5963,5 @@
 	/* Start  looping on the number of gaussian points: */
 	gauss=new GaussPenta(0,1,2,2);
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -5934,5 +5984,5 @@
 		DL_scalar=alpha2*gauss->weight*Jdet2d;
 		for (i=0;i<2;i++) DL[i][i]=DL_scalar; 
-		
+
 		/*  Do the triple producte tL*D*L: */
 		TripleMultiply( &L[0][0],2,numdof,1,
@@ -5980,20 +6030,20 @@
 
 	/*Intermediaries */
-	int         i,j,ig;
-	IssmDouble      Jdet;
-	IssmDouble      viscosity,stokesreconditioning; //viscosity
-	IssmDouble      epsilon[6]; /* epsilon=[exx,eyy,exy,exz,eyz];*/
-	IssmDouble      xyz_list[NUMVERTICES][3];
-	IssmDouble      B[4][numdofs+3];
-	IssmDouble      Bprime[4][numdofm];
-	IssmDouble      B2[3][numdofm];
-	IssmDouble      Bprime2[3][numdofs+3];
-	IssmDouble      D[4][4]={0.0};            // material matrix, simple scalar matrix.
-	IssmDouble      D2[3][3]={0.0};            // material matrix, simple scalar matrix.
-	IssmDouble      D_scalar;
-	IssmDouble      Ke_gg[numdofs][numdofm]={0.0}; //local element stiffness matrix 
-	IssmDouble      Ke_gg2[numdofm][numdofs]={0.0}; //local element stiffness matrix 
-	IssmDouble      Ke_gg_gaussian[numdofs+3][numdofm]; //stiffness matrix evaluated at the gaussian point.
-	IssmDouble      Ke_gg_gaussian2[numdofm][numdofs+3]; //stiffness matrix evaluated at the gaussian point.
+	int         i,j;
+	IssmDouble Jdet;
+	IssmDouble viscosity,stokesreconditioning; //viscosity
+	IssmDouble epsilon[6]; /* epsilon=[exx,eyy,exy,exz,eyz];*/
+	IssmDouble xyz_list[NUMVERTICES][3];
+	IssmDouble B[4][numdofs+3];
+	IssmDouble Bprime[4][numdofm];
+	IssmDouble B2[3][numdofm];
+	IssmDouble Bprime2[3][numdofs+3];
+	IssmDouble D[4][4]={0.0};            // material matrix, simple scalar matrix.
+	IssmDouble D2[3][3]={0.0};            // material matrix, simple scalar matrix.
+	IssmDouble D_scalar;
+	IssmDouble Ke_gg[numdofs][numdofm]={0.0}; //local element stiffness matrix 
+	IssmDouble Ke_gg2[numdofm][numdofs]={0.0}; //local element stiffness matrix 
+	IssmDouble Ke_gg_gaussian[numdofs+3][numdofm]; //stiffness matrix evaluated at the gaussian point.
+	IssmDouble Ke_gg_gaussian2[numdofm][numdofs+3]; //stiffness matrix evaluated at the gaussian point.
 	GaussPenta *gauss=NULL;
 	GaussTria  *gauss_tria=NULL;
@@ -6029,5 +6079,5 @@
 	gauss=new GaussPenta(5,5);
 	gauss_tria=new GaussTria();
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -6086,20 +6136,20 @@
 
 	/*Intermediaries */
-	int        i,j,ig;
+	int        i,j;
 	int        analysis_type,approximation;
-	IssmDouble     stokesreconditioning;
-	IssmDouble     viscosity,alpha2_gauss,Jdet2d;
-	IssmDouble	  bed_normal[3];
-	IssmDouble     epsilon[6]; /* epsilon=[exx,eyy,ezz,exy,exz,eyz];*/
-	IssmDouble     xyz_list[NUMVERTICES][3];
-	IssmDouble	  xyz_list_tria[NUMVERTICES2D][3];
-	IssmDouble     LMacAyealStokes[8][numdof2dm];
-	IssmDouble     LprimeMacAyealStokes[8][numdof2d];
-	IssmDouble     DLMacAyealStokes[8][8]={0.0};
-	IssmDouble     LStokesMacAyeal[4][numdof2d];
-	IssmDouble     LprimeStokesMacAyeal[4][numdof2dm];
-	IssmDouble     DLStokesMacAyeal[4][4]={0.0};
-	IssmDouble     Ke_drag_gaussian[numdof2dm][numdof2d];
-	IssmDouble     Ke_drag_gaussian2[numdof2d][numdof2dm];
+	IssmDouble stokesreconditioning;
+	IssmDouble viscosity,alpha2_gauss,Jdet2d;
+	IssmDouble bed_normal[3];
+	IssmDouble epsilon[6]; /* epsilon=[exx,eyy,ezz,exy,exz,eyz];*/
+	IssmDouble xyz_list[NUMVERTICES][3];
+	IssmDouble xyz_list_tria[NUMVERTICES2D][3];
+	IssmDouble LMacAyealStokes[8][numdof2dm];
+	IssmDouble LprimeMacAyealStokes[8][numdof2d];
+	IssmDouble DLMacAyealStokes[8][8]={0.0};
+	IssmDouble LStokesMacAyeal[4][numdof2d];
+	IssmDouble LprimeStokesMacAyeal[4][numdof2dm];
+	IssmDouble DLStokesMacAyeal[4][4]={0.0};
+	IssmDouble Ke_drag_gaussian[numdof2dm][numdof2d];
+	IssmDouble Ke_drag_gaussian2[numdof2d][numdof2dm];
 	Friction*  friction=NULL;
 	GaussPenta *gauss=NULL;
@@ -6137,5 +6187,5 @@
 	/* Start  looping on the number of gaussian points: */
 	gauss=new GaussPenta(0,1,2,2);
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -6166,5 +6216,5 @@
 		DLStokesMacAyeal[2][2]=-alpha2_gauss*gauss->weight*Jdet2d*bed_normal[0]*bed_normal[2];
 		DLStokesMacAyeal[3][3]=-alpha2_gauss*gauss->weight*Jdet2d*bed_normal[1]*bed_normal[2];
-		
+
 		TripleMultiply( &LMacAyealStokes[0][0],8,numdof2dm,1,
 					&DLMacAyealStokes[0][0],8,8,0,
@@ -6387,5 +6437,5 @@
 
 	/*Intermediaries */
-	int         i,j,ig,approximation;
+	int         i,j,approximation;
 	IssmDouble  Jdet;
 	IssmDouble  viscosity , oldviscosity, newviscosity, viscosity_overshoot;
@@ -6423,5 +6473,5 @@
 	gauss=new GaussPenta(5,5);
 	gauss_tria=new GaussTria();
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -6638,14 +6688,14 @@
 
 	/*Intermediaries */
-	int        i,j,ig;
+	int        i,j;
 	int        approximation;
-	IssmDouble     xyz_list[NUMVERTICES][3];
-	IssmDouble     Jdet;
-	IssmDouble     viscosity,oldviscosity,newviscosity,viscosity_overshoot; //viscosity
-	IssmDouble     epsilon[5],oldepsilon[5]; /* epsilon=[exx,eyy,exy,exz,eyz];*/
-	IssmDouble     D_scalar;
-	IssmDouble     D[5][5]={0.0};            // material matrix, simple scalar matrix.
-	IssmDouble     B[5][numdof];
-	IssmDouble     Bprime[5][numdof];
+	IssmDouble xyz_list[NUMVERTICES][3];
+	IssmDouble Jdet;
+	IssmDouble viscosity,oldviscosity,newviscosity,viscosity_overshoot; //viscosity
+	IssmDouble epsilon[5],oldepsilon[5]; /* epsilon=[exx,eyy,exy,exz,eyz];*/
+	IssmDouble D_scalar;
+	IssmDouble D[5][5]={0.0};            // material matrix, simple scalar matrix.
+	IssmDouble B[5][numdof];
+	IssmDouble Bprime[5][numdof];
 	Tria*      tria=NULL;
 	GaussPenta *gauss=NULL;
@@ -6665,5 +6715,5 @@
 	/* Start  looping on the number of gaussian points: */
 	gauss=new GaussPenta(5,5);
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -6701,17 +6751,17 @@
 	/*Constants*/
 	const int numdof   = NDOF2*NUMVERTICES;
-	
+
 	/*Intermediaries */
-	int       i,j,ig;
+	int       i,j;
 	int       analysis_type;
-	IssmDouble    xyz_list[NUMVERTICES][3];
-	IssmDouble    xyz_list_tria[NUMVERTICES2D][3]={0.0};
-	IssmDouble    slope_magnitude,alpha2,Jdet;
-	IssmDouble    slope[3]={0.0,0.0,0.0};
-	IssmDouble    MAXSLOPE=.06; // 6 %
-	IssmDouble    MOUNTAINKEXPONENT=10;
-	IssmDouble    L[2][numdof];
-	IssmDouble    DL[2][2]={{ 0,0 },{0,0}}; //for basal drag
-	IssmDouble    DL_scalar;
+	IssmDouble xyz_list[NUMVERTICES][3];
+	IssmDouble xyz_list_tria[NUMVERTICES2D][3]={0.0};
+	IssmDouble slope_magnitude,alpha2,Jdet;
+	IssmDouble slope[3]={0.0,0.0,0.0};
+	IssmDouble MAXSLOPE=.06; // 6 %
+	IssmDouble MOUNTAINKEXPONENT=10;
+	IssmDouble L[2][numdof];
+	IssmDouble DL[2][2]={{ 0,0 },{0,0}}; //for basal drag
+	IssmDouble DL_scalar;
 	Friction  *friction = NULL;
 	GaussPenta *gauss=NULL;
@@ -6736,5 +6786,5 @@
 	/* Start  looping on the number of gaussian points: */
 	gauss=new GaussPenta(0,1,2,2);
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -6752,8 +6802,8 @@
 			alpha2=pow((IssmDouble)10,MOUNTAINKEXPONENT);
 		}
-		
+
 		DL_scalar=alpha2*gauss->weight*Jdet;
 		for (i=0;i<2;i++) DL[i][i]=DL_scalar;
-		
+
 		TripleMultiply( &L[0][0],2,numdof,1,
 					&DL[0][0],2,2,0,
@@ -6805,13 +6855,13 @@
 
 	/*Intermediaries */
-	int        i,j,ig,approximation;
-	IssmDouble     Jdet,viscosity,stokesreconditioning;
-	IssmDouble     xyz_list[NUMVERTICES][3];
-	IssmDouble     epsilon[6]; /* epsilon=[exx,eyy,ezz,exy,exz,eyz];*/
-	IssmDouble     B[8][27];
-	IssmDouble     B_prime[8][27];
-	IssmDouble     D_scalar;
-	IssmDouble     D[8][8]={0.0};
-	IssmDouble     Ke_temp[27][27]={0.0}; //for the six nodes and the bubble 
+	int        i,approximation;
+	IssmDouble Jdet,viscosity,stokesreconditioning;
+	IssmDouble xyz_list[NUMVERTICES][3];
+	IssmDouble epsilon[6]; /* epsilon=[exx,eyy,ezz,exy,exz,eyz];*/
+	IssmDouble B[8][27];
+	IssmDouble B_prime[8][27];
+	IssmDouble D_scalar;
+	IssmDouble D[8][8]={0.0};
+	IssmDouble Ke_temp[27][27]={0.0}; //for the six nodes and the bubble 
 	GaussPenta *gauss=NULL;
 
@@ -6830,5 +6880,5 @@
 	/* Start  looping on the number of gaussian points: */
 	gauss=new GaussPenta(5,5);
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -6870,14 +6920,14 @@
 
 	/*Intermediaries */
-	int        i,j,ig;
+	int        i,j;
 	int        analysis_type,approximation;
-	IssmDouble     alpha2,Jdet2d;
-	IssmDouble     stokesreconditioning,viscosity;
-	IssmDouble     epsilon[6]; /* epsilon=[exx,eyy,ezz,exy,exz,eyz];*/
-	IssmDouble     xyz_list[NUMVERTICES][3];
-	IssmDouble	  xyz_list_tria[NUMVERTICES2D][3];
-	IssmDouble     LStokes[2][numdof2d];
-	IssmDouble     DLStokes[2][2]={0.0};
-	IssmDouble     Ke_drag_gaussian[numdof2d][numdof2d];
+	IssmDouble alpha2,Jdet2d;
+	IssmDouble stokesreconditioning,viscosity;
+	IssmDouble epsilon[6]; /* epsilon=[exx,eyy,ezz,exy,exz,eyz];*/
+	IssmDouble xyz_list[NUMVERTICES][3];
+	IssmDouble xyz_list_tria[NUMVERTICES2D][3];
+	IssmDouble LStokes[2][numdof2d];
+	IssmDouble DLStokes[2][2]={0.0};
+	IssmDouble Ke_drag_gaussian[numdof2d][numdof2d];
 	Friction*  friction=NULL;
 	GaussPenta *gauss=NULL;
@@ -6902,5 +6952,5 @@
 	/* Start  looping on the number of gaussian points: */
 	gauss=new GaussPenta(0,1,2,2);
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -6927,5 +6977,5 @@
 	/*DO NOT Transform Coordinate System: this stiffness matrix is already expressed in tangential coordinates*/
 	//TransformStiffnessMatrixCoord(Ke,nodes,NUMVERTICES,XYZPEnum);
-	
+
 	/*Clean up and return*/
 	delete gauss;
@@ -6936,5 +6986,5 @@
 /*FUNCTION Penta::CreateKMatrixDiagnosticVert {{{*/
 ElementMatrix* Penta::CreateKMatrixDiagnosticVert(void){
-	
+
 	/*compute all stiffness matrices for this element*/
 	ElementMatrix* Ke1=CreateKMatrixDiagnosticVertVolume();
@@ -6956,10 +7006,9 @@
 
 	/*Intermediaries */
-	int         i,j,ig;
-	IssmDouble      Jdet;
-	IssmDouble      xyz_list[NUMVERTICES][3];
-	IssmDouble      B[NDOF1][NUMVERTICES];
-	IssmDouble      Bprime[NDOF1][NUMVERTICES];
-	IssmDouble      DL_scalar;
+	IssmDouble  Jdet;
+	IssmDouble  xyz_list[NUMVERTICES][3];
+	IssmDouble  B[NDOF1][NUMVERTICES];
+	IssmDouble  Bprime[NDOF1][NUMVERTICES];
+	IssmDouble  DL_scalar;
 	GaussPenta  *gauss=NULL;
 
@@ -6972,5 +7021,5 @@
 	/* Start  looping on the number of gaussian points: */
 	gauss=new GaussPenta(2,2);
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -7002,10 +7051,10 @@
 
 	/*Intermediaries */
-	int       i,j,ig;
-	IssmDouble    xyz_list[NUMVERTICES][3];
-	IssmDouble    xyz_list_tria[NUMVERTICES2D][3];
-	IssmDouble    surface_normal[3];
-	IssmDouble    Jdet2d,DL_scalar;
-	IssmDouble    basis[NUMVERTICES];
+	int       i,j;
+	IssmDouble xyz_list[NUMVERTICES][3];
+	IssmDouble xyz_list_tria[NUMVERTICES2D][3];
+	IssmDouble surface_normal[3];
+	IssmDouble Jdet2d,DL_scalar;
+	IssmDouble basis[NUMVERTICES];
 	GaussPenta *gauss=NULL;
 
@@ -7020,5 +7069,5 @@
 	/* Start  looping on the number of gaussian points: */
 	gauss=new GaussPenta(3,4,5,2);
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -7061,13 +7110,13 @@
 
 	/*Intermediaries */
-	int         i,j,ig;
+	int         i,j;
 	int         approximation;
-	IssmDouble      viscosity,Jdet;
-	IssmDouble      stokesreconditioning;
-	IssmDouble      epsilon[6]; /* epsilon=[exx,eyy,ezz,exy,exz,eyz];*/
-	IssmDouble      dw[3];
-	IssmDouble      xyz_list[NUMVERTICES][3];
-	IssmDouble      basis[6]; //for the six nodes of the penta
-	IssmDouble      dbasis[3][6]; //for the six nodes of the penta
+	IssmDouble  viscosity,Jdet;
+	IssmDouble  stokesreconditioning;
+	IssmDouble  epsilon[6]; /* epsilon=[exx,eyy,ezz,exy,exz,eyz];*/
+	IssmDouble  dw[3];
+	IssmDouble  xyz_list[NUMVERTICES][3];
+	IssmDouble  basis[6]; //for the six nodes of the penta
+	IssmDouble  dbasis[3][6]; //for the six nodes of the penta
 	GaussPenta *gauss=NULL;
 
@@ -7087,5 +7136,5 @@
 	/* Start  looping on the number of gaussian points: */
 	gauss=new GaussPenta(5,5);
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -7123,15 +7172,15 @@
 
 	/*Intermediaries*/
-	int         i,j,ig;
+	int         i,j;
 	int         approximation,analysis_type;
-	IssmDouble      Jdet,Jdet2d;
-	IssmDouble      stokesreconditioning;
-	IssmDouble	   bed_normal[3];
-	IssmDouble      epsilon[6]; /* epsilon=[exx,eyy,ezz,exy,exz,eyz];*/
-	IssmDouble      viscosity, w, alpha2_gauss;
-	IssmDouble      dw[3];
-	IssmDouble	   xyz_list_tria[NUMVERTICES2D][3];
-	IssmDouble      xyz_list[NUMVERTICES][3];
-	IssmDouble      basis[6]; //for the six nodes of the penta
+	IssmDouble  Jdet,Jdet2d;
+	IssmDouble  stokesreconditioning;
+	IssmDouble	bed_normal[3];
+	IssmDouble  epsilon[6]; /* epsilon=[exx,eyy,ezz,exy,exz,eyz];*/
+	IssmDouble  viscosity, w, alpha2_gauss;
+	IssmDouble  dw[3];
+	IssmDouble	xyz_list_tria[NUMVERTICES2D][3];
+	IssmDouble  xyz_list[NUMVERTICES][3];
+	IssmDouble  basis[6]; //for the six nodes of the penta
 	Tria*       tria=NULL;
 	Friction*   friction=NULL;
@@ -7160,5 +7209,5 @@
 	/* Start looping on the number of gauss 2d (nodes on the bedrock) */
 	gauss=new GaussPenta(0,1,2,2);
-	for(ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -7212,13 +7261,13 @@
 
 	/*Intermediaries */
-	int         i,j,ig;
+	int         i;
 	int         approximation;
-	IssmDouble      viscosity,Jdet;
-	IssmDouble      stokesreconditioning;
-	IssmDouble      epsilon[6]; /* epsilon=[exx,eyy,ezz,exy,exz,eyz];*/
-	IssmDouble      dw[3];
-	IssmDouble      xyz_list[NUMVERTICES][3];
-	IssmDouble      basis[6]; //for the six nodes of the penta
-	IssmDouble      dbasis[3][6]; //for the six nodes of the penta
+	IssmDouble  viscosity,Jdet;
+	IssmDouble  stokesreconditioning;
+	IssmDouble  epsilon[6]; /* epsilon=[exx,eyy,ezz,exy,exz,eyz];*/
+	IssmDouble  dw[3];
+	IssmDouble  xyz_list[NUMVERTICES][3];
+	IssmDouble  basis[6]; //for the six nodes of the penta
+	IssmDouble  dbasis[3][6]; //for the six nodes of the penta
 	GaussPenta *gauss=NULL;
 
@@ -7238,5 +7287,5 @@
 	/* Start  looping on the number of gaussian points: */
 	gauss=new GaussPenta(5,5);
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -7274,15 +7323,15 @@
 
 	/*Intermediaries*/
-	int         i,j,ig;
+	int         i,j;
 	int         approximation,analysis_type;
-	IssmDouble      Jdet,Jdet2d;
-	IssmDouble      stokesreconditioning;
-	IssmDouble	   bed_normal[3];
-	IssmDouble      epsilon[6]; /* epsilon=[exx,eyy,ezz,exy,exz,eyz];*/
-	IssmDouble      viscosity, w, alpha2_gauss;
-	IssmDouble      dw[3];
-	IssmDouble	   xyz_list_tria[NUMVERTICES2D][3];
-	IssmDouble      xyz_list[NUMVERTICES][3];
-	IssmDouble      basis[6]; //for the six nodes of the penta
+	IssmDouble  Jdet,Jdet2d;
+	IssmDouble  stokesreconditioning;
+	IssmDouble	bed_normal[3];
+	IssmDouble  epsilon[6]; /* epsilon=[exx,eyy,ezz,exy,exz,eyz];*/
+	IssmDouble  viscosity, w, alpha2_gauss;
+	IssmDouble  dw[3];
+	IssmDouble	xyz_list_tria[NUMVERTICES2D][3];
+	IssmDouble  xyz_list[NUMVERTICES][3];
+	IssmDouble  basis[6]; //for the six nodes of the penta
 	Tria*       tria=NULL;
 	Friction*   friction=NULL;
@@ -7311,5 +7360,5 @@
 	/* Start looping on the number of gauss 2d (nodes on the bedrock) */
 	gauss=new GaussPenta(0,1,2,2);
-	for(ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -7421,19 +7470,16 @@
 ElementVector* Penta::CreatePVectorDiagnosticHutter(void){
 
-	/*Constants*/
-	const int numdofs=NDOF2*NUMVERTICES;
-
 	/*Intermediaries*/
-	int          i,j,k,ig;
+	int          i,j;
 	int          node0,node1;
 	int          connectivity[2];
-	IssmDouble       Jdet;
-	IssmDouble       xyz_list[NUMVERTICES][3];
-	IssmDouble       xyz_list_segment[2][3];
-	IssmDouble       z_list[NUMVERTICES];
-	IssmDouble       z_segment[2],slope[2];
-	IssmDouble       slope2,constant_part;
-	IssmDouble       rho_ice,gravity,n,B;
-	IssmDouble       ub,vb,z_g,surface,thickness;
+	IssmDouble   Jdet;
+	IssmDouble   xyz_list[NUMVERTICES][3];
+	IssmDouble   xyz_list_segment[2][3];
+	IssmDouble   z_list[NUMVERTICES];
+	IssmDouble   slope[2];
+	IssmDouble   slope2,constant_part;
+	IssmDouble   rho_ice,gravity,n,B;
+	IssmDouble   ub,vb,z_g,surface,thickness;
 	GaussPenta*  gauss=NULL;
 
@@ -7468,5 +7514,5 @@
 		/*Loop on the Gauss points: */
 		gauss=new GaussPenta(node0,node1,3);
-		for(ig=gauss->begin();ig<gauss->end();ig++){
+		for(int ig=gauss->begin();ig<gauss->end();ig++){
 			gauss->GaussPoint(ig);
 
@@ -7541,10 +7587,10 @@
 
 	/*Intermediaries*/
-	int         i,j,ig;
-	IssmDouble      Jdet;
-	IssmDouble      slope[3]; //do not put 2! this goes into GetInputDerivativeValue, which addresses slope[3] also!
-	IssmDouble      driving_stress_baseline,thickness;
-	IssmDouble      xyz_list[NUMVERTICES][3];
-	IssmDouble      basis[6];
+	int         i,j;
+	IssmDouble  Jdet;
+	IssmDouble  slope[3]; //do not put 2! this goes into GetInputDerivativeValue, which addresses slope[3] also!
+	IssmDouble  driving_stress_baseline,thickness;
+	IssmDouble  xyz_list[NUMVERTICES][3];
+	IssmDouble  basis[6];
 	GaussPenta  *gauss=NULL;
 
@@ -7559,5 +7605,5 @@
 	/* Start  looping on the number of gaussian points: */
 	gauss=new GaussPenta(2,3);
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -7603,19 +7649,18 @@
 
 	/*Intermediaries*/
-	int        i,j,ig;
+	int        i,j;
 	int        approximation;
-	IssmDouble     Jdet,viscosity;
-	IssmDouble     gravity,rho_ice,stokesreconditioning;
-	IssmDouble     xyz_list[NUMVERTICES][3];
-	IssmDouble     epsilon[6]; /* epsilon=[exx,eyy,ezz,exy,exz,eyz];*/
-	IssmDouble     l1l7[7]; //for the six nodes and the bubble 
-	IssmDouble     B[8][numdofbubble];
-	IssmDouble     B_prime[8][numdofbubble];
-	IssmDouble     B_prime_bubble[8][3];
-	IssmDouble     D[8][8]={0.0};
-	IssmDouble     D_scalar;
-	IssmDouble     Pe_gaussian[numdofbubble]={0.0}; //for the six nodes and the bubble 
-	IssmDouble     Ke_temp[numdofbubble][3]={0.0}; //for the six nodes and the bubble 
-	IssmDouble     Ke_gaussian[numdofbubble][3];
+	IssmDouble Jdet,viscosity;
+	IssmDouble gravity,rho_ice,stokesreconditioning;
+	IssmDouble xyz_list[NUMVERTICES][3];
+	IssmDouble epsilon[6]; /* epsilon=[exx,eyy,ezz,exy,exz,eyz];*/
+	IssmDouble l1l7[7]; //for the six nodes and the bubble 
+	IssmDouble B[8][numdofbubble];
+	IssmDouble B_prime[8][numdofbubble];
+	IssmDouble B_prime_bubble[8][3];
+	IssmDouble D[8][8]={0.0};
+	IssmDouble D_scalar;
+	IssmDouble Pe_gaussian[numdofbubble]={0.0}; //for the six nodes and the bubble 
+	IssmDouble Ke_temp[numdofbubble][3]={0.0}; //for the six nodes and the bubble 
 	GaussPenta *gauss=NULL;
 
@@ -7636,5 +7681,5 @@
 	/* Start  looping on the number of gaussian points: */
 	gauss=new GaussPenta(5,5);
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -7680,14 +7725,14 @@
 
 	/*Intermediaries*/
-	int         i,j,ig;
+	int         i,j;
 	int         approximation,shelf_dampening;
-	IssmDouble      gravity,rho_water,bed,water_pressure;
-	IssmDouble      damper,normal_vel,vx,vy,vz,dt;
-	IssmDouble		xyz_list_tria[NUMVERTICES2D][3];
-	IssmDouble      xyz_list[NUMVERTICES][3];
-	IssmDouble		bed_normal[3];
-	IssmDouble      dz[3];
-	IssmDouble      basis[6]; //for the six nodes of the penta
-	IssmDouble      Jdet2d;
+	IssmDouble  gravity,rho_water,bed,water_pressure;
+	IssmDouble  damper,normal_vel,vx,vy,vz,dt;
+	IssmDouble	xyz_list_tria[NUMVERTICES2D][3];
+	IssmDouble  xyz_list[NUMVERTICES][3];
+	IssmDouble	bed_normal[3];
+	IssmDouble  dz[3];
+	IssmDouble  basis[6]; //for the six nodes of the penta
+	IssmDouble  Jdet2d;
 	GaussPenta  *gauss=NULL;
 
@@ -7712,5 +7757,5 @@
 	/* Start looping on the number of gauss 2d (nodes on the bedrock) */
 	gauss=new GaussPenta(0,1,2,2);
-	for(ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -7765,5 +7810,4 @@
 
 	/*Intermediaries*/
-	int        i,ig;
 	int        approximation;
 	IssmDouble     Jdet;
@@ -7789,5 +7833,5 @@
 	/* Start  looping on the number of gaussian points: */
 	gauss=new GaussPenta(2,2);
-	for (ig=gauss->begin();ig<gauss->end();ig++){
+	for(int ig=gauss->begin();ig<gauss->end();ig++){
 
 		gauss->GaussPoint(ig);
@@ -7806,5 +7850,5 @@
 		dvdy=dv[1];
 
-		for (i=0;i<numdof;i++) pe->values[i] += (dudx+dvdy+dwdz)*Jdet*gauss->weight*basis[i];
+		for(int i=0;i<numdof;i++) pe->values[i] += (dudx+dvdy+dwdz)*Jdet*gauss->weight*basis[i];
 	}
 
